//
//  ViewController.swift
//  UserAlerts
//
//  Created by Keith Welch on 9/11/15.
//  Copyright © 2015 Keith Welch. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    @IBAction func btnSimpleAlertTouched(sender: AnyObject) {
        
        let alertController = UIAlertController(title: "Simple Alert View", message: "This is a message", preferredStyle: UIAlertControllerStyle.Alert)
        
        let OKAction = UIAlertAction(title: "OK", style: UIAlertActionStyle.Default) { (action) in
            NSLog("OK clicked")
        }
        alertController.addAction(OKAction)
        
        self.presentViewController(alertController, animated: true) {
        }
    }
    
    @IBAction func btnCustomButtonTouched(sender: AnyObject) {
        let alertController = UIAlertController(title: "Custom Alert View", message: "This is a message", preferredStyle: UIAlertControllerStyle.Alert)
        
        let Action1 = UIAlertAction(title: "Button 1", style: UIAlertActionStyle.Default) { (action) in
            NSLog("Button 1 clicked")
        }
        alertController.addAction(Action1)
        
        let Action2 = UIAlertAction(title: "Button 2", style: UIAlertActionStyle.Cancel) { (action) in
            NSLog("Button 2 clicked")
        }
        alertController.addAction(Action2)
        
        let Delete = UIAlertAction(title: "Delete", style: UIAlertActionStyle.Destructive) { (action) in
            NSLog("Delete Button clicked")
        }
        alertController.addAction(Delete)
        
        self.presentViewController(alertController, animated: true) {
        }
    }
    
    @IBAction func btnTextBoxTouched(sender: AnyObject) {
        
        var inputTextField: UITextField?
        
        let alertController = UIAlertController(title: "Text Box Alert View", message: "This is a message", preferredStyle: UIAlertControllerStyle.Alert)
        
        let OKAction = UIAlertAction(title: "OK", style: UIAlertActionStyle.Default) { (action) in
            NSLog(inputTextField!.text!)
        }
        alertController.addAction(OKAction)
        
        alertController.addTextFieldWithConfigurationHandler({(textField: UITextField!) in
            textField.placeholder = "Enter Text"
            inputTextField = textField
        })
        
        self.presentViewController(alertController, animated: true) {
        }
    }
    
    @IBAction func btnLoginTouched(sender: AnyObject) {
        var username: UITextField?
        var password: UITextField?
        
        let alertController = UIAlertController(title: "Password Alert View", message: "This is a message", preferredStyle: UIAlertControllerStyle.Alert)
        
        let CancelAction = UIAlertAction(title: "Cancel", style: UIAlertActionStyle.Cancel) { (action) in
            NSLog("Cancel clicked")
        }
        alertController.addAction(CancelAction)
        
        let OKAction = UIAlertAction(title: "OK", style: UIAlertActionStyle.Default) { (action) in
            NSLog(String(format:"%@ : %@", username!.text!, password!.text!))
        }
        alertController.addAction(OKAction)
        
        alertController.addTextFieldWithConfigurationHandler({(textField: UITextField!) in
            textField.placeholder = "Username"
            username = textField
        })
        
        alertController.addTextFieldWithConfigurationHandler({(textField: UITextField!) in
            textField.placeholder = "Password"
            textField.secureTextEntry = true
            password = textField
        })
        
        self.presentViewController(alertController, animated: true) {
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

